package httphandlers

import (
	"net/http"
	"strings"

	"github.com/fiskerinc/cloud-services/pkg/utils/envtool"
)

// ServiceBaseURL base url of service i.e. "/service"
var ServiceBaseURL = envtool.GetEnv("SERVICE_BASE_URL", "")

// HandleBaseURL appends base url to path
func HandleBaseURL(path string, fn http.HandlerFunc) (string, http.HandlerFunc) {
	return strings.Join([]string{ServiceBaseURL, path}, ""), fn
}

// HttpRouterHandleBaseURL appends base url to path
func HttpRouterHandleBaseURL(path string) string {
	return strings.Join([]string{ServiceBaseURL, path}, "")
}
